## nom.tam.test
Class FitsTester

    java.lang.Object
      nom.tam.test.FitsTester

public class FitsTester
extends Object

This class comprises a set of static methods to test the Java FITS implementation.

Constructor Summary
`FitsTester()`

Method Summary
`(package private) static void` `end(String msg)`
`(package private) static Object[][]` `genTable()`
`static void` `main(String[] args)`
`(package private) static void` `start(String msg)`
`(package private) static void` `testBuildByColumn()`
`(package private) static void` `testNetRead()`
`(package private) static void` `testRandomGroups()`
`(package private) static void` `testReadByRow()`
`(package private) static void` `testSimpleRead()`
`(package private) static void` `testSimpleWrite()`
`(package private) static void` `testSkipAndRead()`
`(package private) static void` `testVarCols()`
`(package private) static void` `testWriteByRow()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FitsTester

    public FitsTester()

Method Detail

### main

    public static void main(String[] args)

### testRandomGroups

    static void testRandomGroups()

### testVarCols

    static void testVarCols()

### testBuildByColumn

    static void testBuildByColumn()

### testWriteByRow

    static void testWriteByRow()

### testReadByRow

    static void testReadByRow()

### testSkipAndRead

    static void testSkipAndRead()

### testSimpleWrite

    static void testSimpleWrite()

### testSimpleRead

    static void testSimpleRead()

### testNetRead

    static void testNetRead()

### genTable

    static Object[][] genTable()

### start

    static void start(String msg)

### end

    static void end(String msg)